Core Resources
Bundle productsNew
A
Bundle Product describes a product that is sold as a bundle: its variants, the collections customers can choose the contents from, the default contents and the display settings. Bundle products can be listed and retrieved through the API; they are created and edited in the Recharge merchant portal.This resource is new in the V2 reference. It also works when you send X-Recharge-Version: 2021-11.
#The bundle product object
Attributes
- idintegerUnique numeric identifier for the
Bundle Product. - delivery_cyclesobjectAn object containing the delivery cycle configuration of the
Bundle Product. - is_customizablebooleanWhether customers can choose the contents of the bundle.
- layout_settingsobjectAn object containing the settings used to display the bundle to customers.
- layout_settings_versionstringThe version of the format used by
layout_settings. - max_quantity_per_variantinteger · nullableThe maximum quantity of a single item that can be selected in the bundle.
- price_rulestring · nullableHow the price of the bundle is determined.Possible values
dynamicfixed - reset_box_contentsbooleanWhether the contents of the bundle are reset after each order.
- settingsobjectAn object containing additional settings of the
Bundle Product.Show child attributesHide child attributes3
- Whether the variants of a product are listed as separate products when choosing the contents of the bundle.
- Whether discounts are calculated from the plan of the bundle product instead of from each product in the bundle.
- Whether both the product name and the variant name are shown when choosing the contents of the bundle.
- titlestringThe title of the
Bundle Product. - variantsarray of objectsAn array of the variants of the
Bundle Product.Show child attributesHide child attributes11
- idintegerUnique numeric identifier for the bundle variant.
- positionintegerThe position in which the bundle variant is displayed.
- updated_atdatetimeThe date and time when the bundle variant was last updated.
- created_atdatetimeThe date and time when the bundle variant was created.
- enabledbooleanWhether the bundle variant is enabled.
- external_variant_idstringThe id of the variant as it appears in the external e-commerce platform.
- items_countintegerThe number of items the bundle variant contains.
- option_sourcesarray of objectsAn array of the collections from which the contents of the bundle variant can be chosen.
Show child attributesHide child attributes8
- idintegerUnique numeric identifier for the option source.
- source_platformstringThe platform the option source comes from, for example
shopify. - created_atdatetimeThe date and time when the option source was created.
- option_source_idstringThe id of the collection, as it appears in the source platform, that contents can be chosen from.
- positionintegerThe position in which the option source is displayed.
- quantity_maxinteger · nullableThe maximum number of items that can be chosen from this option source.
- quantity_mininteger · nullableThe minimum number of items that must be chosen from this option source.
- updated_atdatetimeThe date and time when the option source was last updated.
- rangesarray of objectsAn array of the quantity ranges allowed for the contents of the bundle variant.
Show child attributesHide child attributes5
- idintegerUnique numeric identifier for the range.
- created_atdatetimeThe date and time when the range was created.
- quantity_maxinteger · nullableThe maximum number of items the bundle variant can contain.
- quantity_minintegerThe minimum number of items the bundle variant must contain.
- updated_atdatetimeThe date and time when the range was last updated.
- selection_defaultsarray of objectsAn array of the default contents of the bundle variant.
Show child attributesHide child attributes5
- idintegerUnique numeric identifier for the default selection.
- created_atdatetimeThe date and time when the default selection was created.
- external_variant_idstringThe id of the variant, as it appears in the external e-commerce platform, that is included by default.
- quantityintegerThe quantity of the variant that is included by default.
- updated_atdatetimeThe date and time when the default selection was last updated.
- titlestringThe title of the bundle variant.
- updated_atdatetimeThe date and time when the
Bundle Productwas last updated. - created_atdatetimeThe date and time when the
Bundle Productwas created. - custom_pricesbooleanWhether the
Bundle Productuses custom prices. - customization_windowinteger · nullableThe customization window of the
Bundle Product, which limits when customers can change its contents.nullwhen there is no limit. - customization_window_disabled_messagestring · nullableThe message shown to customers when the contents can no longer be changed.
- default_bundle_variant_idinteger · nullableThe
idof the bundle variant that is used by default. - delivery_cycles_versionstringThe version of the format used by
delivery_cycles. - descriptionstring · nullableThe description of the
Bundle Product. - external_product_idstringThe id of the product, as it appears in the external e-commerce platform, that is sold as a bundle.
{
"bundle_product": {
"id": 51842,
"created_at": "2026-03-02T15:04:31+00:00",
"custom_prices": false,
"customization_window": null,
"customization_window_disabled_message": null,
"default_bundle_variant_id": null,
"delivery_cycles": {},
"delivery_cycles_version": "2021-11",
"description": null,
"external_product_id": "7654321098",
"is_customizable": true,
"layout_settings": {},
"layout_settings_version": "2021-11",
"max_quantity_per_variant": 5,
"price_rule": "fixed",
"reset_box_contents": false,
"settings": {
"display_variants_as_separate_products_in_list": false,
"dynamic_filter_products_by_discount": false,
"show_product_and_variant_name_in_products_list": false
},
"title": "Build your own coffee box",
"updated_at": "2026-03-02T15:04:31+00:00",
"variants": [
{
"id": 90411,
"created_at": "2026-03-02T15:04:31+00:00",
"enabled": true,
"external_variant_id": "44100001",
"items_count": 6,
"option_sources": [
{
"id": 77120,
"created_at": "2026-03-02T15:04:31+00:00",
"option_source_id": "301234567890",
"position": 1,
"quantity_max": 6,
"quantity_min": 1,
"source_platform": "shopify",
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"position": 0,
"ranges": [
{
"id": 3310,
"created_at": "2026-03-02T15:04:31+00:00",
"quantity_max": 6,
"quantity_min": 6,
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"selection_defaults": [
{
"id": 66204,
"created_at": "2026-03-02T15:04:31+00:00",
"external_variant_id": "44100777",
"quantity": 6,
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"title": "6 bags",
"updated_at": "2026-03-02T15:04:31+00:00"
}
]
}
}#List bundle products
GET/bundle_products
Returns a list of the
Bundle Products of the store.Scope
read_bundle_productsQuery parameters
- limitintegerThe number of results to return. Defaults to 50; the maximum is 250.
- cursorstringThe cursor of the page to return, taken from
next_cursororprevious_cursorin a previous response. Onlylimitcan be sent together withcursor. - pageintegerThe page of results to show. Page-based pagination is deprecated in favor of
cursor.Only for API tokens that are still allowed to use page-based pagination; other tokens must usecursor. - sort_bystringThe order in which the bundle products are returned. Defaults to
id-desc.Possible valuesid-ascid-descupdated_at-ascupdated_at-desc - external_product_idsstringFilter bundle products by
external_product_id. If passing multiple values, must be comma separated. - created_at_mindatetimeReturn the bundle products created after the given date.
- created_at_maxdatetimeReturn the bundle products created before the given date.
- updated_at_mindatetimeReturn the bundle products updated after the given date.
- updated_at_maxdatetimeReturn the bundle products updated before the given date.
- price_rulesstringFilter bundle products by kind. If passing multiple values, must be comma separated.
presetreturns bundles that are not customizable;fixedanddynamicreturn customizable bundles with thatprice_rule.Possible valuespresetfixeddynamic - reset_box_contentsbooleanReturn the bundle products with the given
reset_box_contentsvalue. - publishedbooleanReturn only the bundle products that are published (
true) or not published (false). - search_termstringReturn the bundle products whose
titlecontains the given text.
curl 'https://api.rechargeapps.com/bundle_products' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"next_cursor": null,
"previous_cursor": null,
"bundle_products": [
{
"id": 51842,
"created_at": "2026-03-02T15:04:31+00:00",
"custom_prices": false,
"customization_window": null,
"customization_window_disabled_message": null,
"default_bundle_variant_id": null,
"delivery_cycles": {},
"delivery_cycles_version": "2021-11",
"description": null,
"external_product_id": "7654321098",
"is_customizable": true,
"layout_settings": {},
"layout_settings_version": "2021-11",
"max_quantity_per_variant": 5,
"price_rule": "fixed",
"reset_box_contents": false,
"settings": {
"display_variants_as_separate_products_in_list": false,
"dynamic_filter_products_by_discount": false,
"show_product_and_variant_name_in_products_list": false
},
"title": "Build your own coffee box",
"updated_at": "2026-03-02T15:04:31+00:00",
"variants": [
{
"id": 90411,
"created_at": "2026-03-02T15:04:31+00:00",
"enabled": true,
"external_variant_id": "44100001",
"items_count": 6,
"option_sources": [
{
"id": 77120,
"created_at": "2026-03-02T15:04:31+00:00",
"option_source_id": "301234567890",
"position": 1,
"quantity_max": 6,
"quantity_min": 1,
"source_platform": "shopify",
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"position": 0,
"ranges": [
{
"id": 3310,
"created_at": "2026-03-02T15:04:31+00:00",
"quantity_max": 6,
"quantity_min": 6,
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"selection_defaults": [
{
"id": 66204,
"created_at": "2026-03-02T15:04:31+00:00",
"external_variant_id": "44100777",
"quantity": 6,
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"title": "6 bags",
"updated_at": "2026-03-02T15:04:31+00:00"
}
]
}
]
}#Retrieve a bundle product
GET/bundle_products/{id}
Retrieves a single
Bundle Product by its id. Returns a 404 when it does not exist or has been deleted.Scope
read_bundle_productscurl 'https://api.rechargeapps.com/bundle_products/129593' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"bundle_product": {
"id": 51842,
"created_at": "2026-03-02T15:04:31+00:00",
"custom_prices": false,
"customization_window": null,
"customization_window_disabled_message": null,
"default_bundle_variant_id": null,
"delivery_cycles": {},
"delivery_cycles_version": "2021-11",
"description": null,
"external_product_id": "7654321098",
"is_customizable": true,
"layout_settings": {},
"layout_settings_version": "2021-11",
"max_quantity_per_variant": 5,
"price_rule": "fixed",
"reset_box_contents": false,
"settings": {
"display_variants_as_separate_products_in_list": false,
"dynamic_filter_products_by_discount": false,
"show_product_and_variant_name_in_products_list": false
},
"title": "Build your own coffee box",
"updated_at": "2026-03-02T15:04:31+00:00",
"variants": [
{
"id": 90411,
"created_at": "2026-03-02T15:04:31+00:00",
"enabled": true,
"external_variant_id": "44100001",
"items_count": 6,
"option_sources": [
{
"id": 77120,
"created_at": "2026-03-02T15:04:31+00:00",
"option_source_id": "301234567890",
"position": 1,
"quantity_max": 6,
"quantity_min": 1,
"source_platform": "shopify",
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"position": 0,
"ranges": [
{
"id": 3310,
"created_at": "2026-03-02T15:04:31+00:00",
"quantity_max": 6,
"quantity_min": 6,
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"selection_defaults": [
{
"id": 66204,
"created_at": "2026-03-02T15:04:31+00:00",
"external_variant_id": "44100777",
"quantity": 6,
"updated_at": "2026-03-02T15:04:31+00:00"
}
],
"title": "6 bags",
"updated_at": "2026-03-02T15:04:31+00:00"
}
]
}
}